petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscDTGaussQuadrature

create Gauss quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTGaussQuadrature(PetscInt npoints,PetscReal a,PetscReal b,PetscReal *x,PetscReal *w)

Not Collective

### Input Arguments

| npoints | - number of points
| a | - left end of interval (often-1)
| b | - right end of interval (often +1)

### Output Arguments

| x | - quadrature points
| w | - quadrature weights

### References

Golub and Welsch, Calculation of Quadrature Rules, Math. Comp. 23(106), 221--230, 1969.

### See Also

PetscDTLegendreEval()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages